### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# XMpmc_Config Struct Reference

## Detailed Description

This typedef contains configuration information for the device.

## Data Fields

u16 | DeviceId
u32 | MemBaseAddress
u32 | MemHighAddress
u32 | BaseAddress
int | EccSupportPresent
int | StaticPhyPresent
int | PerfMonitorEnable
u16 | MemDataWidth
u16 | MemBankBits
u16 | MemRowBits
u16 | MemColBits
u16 | MemDqsWidth
u32 | Clk0PeriodPs

## Field Documentation

u32 XMpmc_Config::BaseAddress

| Register Base Address

u32 XMpmc_Config::Clk0PeriodPs

| MPMC Clk0 period in ps

u16 XMpmc_Config::DeviceId

| Device Id

int XMpmc_Config::EccSupportPresent

| TRUE if ECC Support is enabled else FALSE

u16 XMpmc_Config::MemBankBits

| Number of bank bits on memory part

u32 XMpmc_Config::MemBaseAddress

| Base Address of the MPMC memory

u16 XMpmc_Config::MemColBits

| Number of Column Bits on memory part

u16 XMpmc_Config::MemDataWidth

| Number of external data pins

u16 XMpmc_Config::MemDqsWidth

| Number of external DQS pins

u32 XMpmc_Config::MemHighAddress

| High Address of the MPMC memory

u16 XMpmc_Config::MemRowBits

| Number of row bits on memory part

int XMpmc_Config::PerfMonitorEnable

| TRUE if Peformance Monitor is enabled else FALSE

int XMpmc_Config::StaticPhyPresent

| TRUE if Static Phy Support is enabled else FALSE

The documentation for this struct was generated from the following file:

- xmpmc.h

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.